namespace IRaCIS.Core.Domain.Models;

[Comment("项目标准 - 临床数据配置")]
[Table("TrialClinicalDataSetCriterion")]
public class TrialClinicalDataSetCriterion : BaseFullAuditEntity
{

    #region 导航属性
    [JsonIgnore]

    [ForeignKey("TrialClinicalDataSetId")]
    public ClinicalDataTrialSet TrialClinicalDataSet { get; set; }
    [JsonIgnore]
    [ForeignKey("TrialReadingCriterionId")]
    public ReadingQuestionCriterionTrial TrialReadingCriterion { get; set; }
    #endregion

    public Guid TrialClinicalDataSetId { get; set; }
    public Guid TrialReadingCriterionId { get; set; }
}

